| Home | Libraries | People | FAQ | More

## Struct template base_unit_info

boost::units::base_unit_info — traits template for unit names.

## Synopsis

    // In header: <boost/units/io.hpp>

    template<typename BaseUnit>
    struct base_unit_info {

      // public static functions
      static std::string name();
      static std::string symbol();
    };

## Description

### `base_unit_info` public static functions

1.     static std::string name();

   The full name of the unit (returns BaseUnit::name() by default)

2.     static std::string symbol();

   The symbol for the base unit (Returns BaseUnit::symbol() by default)

   Returns: | BaseUnit::symbol(), for example "m"